$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/749/SoftwareIdeasModelerSetup32-11-89.exe'
$url64      = 'https://www.softwareideas.net/Download/File/750/SoftwareIdeasModelerSetup64-11-89.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = '8e0e41317433c7f75a161c95358a0ccdfcdf3ec5fbe3a0c4976464036cd7ebb2'
  checksumType  = 'sha256'
  checksum64    = '2679c9eac2f1302947ae1e3fe4bd01fce7c31c39b9be6f92ae3fa1efd415c41a'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
